# Created by pyp2rpm-3.3.2
%global pypi_name prompt_toolkit
%global pkgname prompt-toolkit

%bcond_without tests

Name:           python-%{pkgname}
Version:        3.0.36
Release:        %mkrel 1
Summary:        Library for building powerful interactive command lines in Python
Group:          Development/Python
License:        BSD-3-Clause
URL:            https://github.com/jonathanslenders/python-prompt-toolkit
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six) >= 1.9.0
BuildRequires:  python3dist(wcwidth)
%if %{with tests}
BuildRequires:  python3dist(pytest)
%endif

%description
Python Prompt Toolkit is a library for building powerful interactive command
line applications in Python.

Please notice that this is prompt_toolkit 2.0. It is incompatible with the
1.0 branch, but much better in many regards.

%package -n     python3-%{pkgname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pkgname}}
Obsoletes:      python3-prompt_toolkit < 2.0.7-2
Provides:       python3-prompt_toolkit = %{version}-%{release}
Requires:       python3dist(six) >= 1.9.0
Requires:       python3dist(wcwidth)

%description -n python3-%{pkgname}
Python Prompt Toolkit is a library for building powerful interactive command
line applications in Python.

Please notice that this is prompt_toolkit 2.0. It is incompatible with the
1.0 branch, but much better in many regards.

%prep
%autosetup -n %{pypi_name}-%{version}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files prompt_toolkit

%if %{with tests}
%check
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-%{python3_version} --verbose
%endif

%files -n python3-%{pkgname} -f %{pyproject_files}
%license LICENSE
%doc README.rst



%changelog
* Sat Feb 18 2023 papoteur <papoteur> 3.0.36-1.mga9
+ Revision: 1943899
- new 3.0.36

* Wed Sep 07 2022 neoclust <neoclust> 3.0.29-1.mga9
+ Revision: 1885122
- New version  3.0.29

* Sat Mar 26 2022 umeabot <umeabot> 3.0.25-3.mga9
+ Revision: 1828443
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 tmb <tmb> 3.0.25-2.mga9
+ Revision: 1774004
- fix filelist
+ tv <tv>
- Rebuild for python-3.10

* Thu Feb 03 2022 mrambo3501 <mrambo3501> 3.0.25-1.mga9
+ Revision: 1771283
- version 3.0.25

* Wed Mar 17 2021 wally <wally> 3.0.16-1.mga9
+ Revision: 1704131
- new version 3.0.16
- rebuild for python 3.9

* Tue May 19 2020 wally <wally> 3.0.5-1.mga8
+ Revision: 1586203
- new version 3.0.5

* Mon Feb 17 2020 umeabot <umeabot> 2.0.10-2.mga8
+ Revision: 1537231
- Mageia 8 Mass Rebuild

* Sun Oct 27 2019 wally <wally> 2.0.10-1.mga8
+ Revision: 1456072
- new version 2.0.10

* Fri Sep 13 2019 tv <tv> 2.0.9-3.mga8
+ Revision: 1440334
- rebuild for python-3.8
- drop python2 subpkg

* Tue Aug 20 2019 wally <wally> 2.0.9-2.mga8
+ Revision: 1430609
- no more pytest for python2
- fix descriptions

* Fri Mar 22 2019 wally <wally> 2.0.9-1.mga7
+ Revision: 1379632
- new version 2.0.9

* Mon Jan 07 2019 wally <wally> 2.0.7-2.mga7
+ Revision: 1350965
- obsolete python(2,3)-prompt_toolkit

* Mon Jan 07 2019 wally <wally> 2.0.7-1.mga7
+ Revision: 1350876
- imported package python-prompt-toolkit

